Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### shininess()

Examples

    size(100, 100, P3D);
    background(0);
    noStroke();
    background(0);
    fill(0, 51, 102);
    ambientLight(102, 102, 102);
    lightSpecular(204, 204, 204);
    directionalLight(102, 102, 102, 0, 0, -1);
    specular(255, 255, 255);
    translate(30, 50, 0);
    shininess(1.0);
    sphere(20);
    translate(40, 0, 0);
    shininess(5.0);
    sphere(20);

Description | Sets the amount of gloss in the surface of shapes. Used in combination with ambient, specular(), and emissive() in setting the materal properties of shapes.

Syntax

    shininess(shine)

Parameters

shine | float: degree of shininess

Returns | None
Usage | Web & Application
Related | ambient() specular() emissive()

Updated on November 22, 2008 08:39:25pm PST